#!/bin/sh
#
# LiPronix by Li-Pro.Net
# Stephan Linz <linz@li-pro.net>
#
#
# CPM4L (CP/M for Linux) additions:
#
#
# $Id: $
#
# $Log: $
#

#
# core setup
#
CPM4L="/opt/cpm4l"

if [ -z "$PATH" ]; then
  PATH="$CPM4L/bin"
else
  PATH="$PATH:$CPM4L/bin"
fi

if [ -z "$LD_LIBRARY_PATH" ]; then
  LD_LIBRARY_PATH="$CPM4L/lib"
else
  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$CPM4L/lib"
fi

if [ -z "$MANPATH" ]; then
  MANPATH=":$CPM4L/man"
else
  MANPATH="$MANPATH:$CPM4L/man"
fi

if [ -z "$INFOPATH" ]; then
  INFOPATH="$CPM4L/info"
else
  INFOPATH="$INFOPATH:$CPM4L/info"
fi

export CPM4L PATH LD_LIBRARY_PATH MANPATH INFOPATH

#
# component setup
#
for i in $CPM4L/etc/components.d/*.sh ; do
  if [ -x $i ]; then
    . $i
  fi
done

# EOF
